Skip to main content

🚀 Introduction

The Ad Clone API helps you recreate winning ads by combining your product assets (via a Link) with a reference ad video.
By analyzing the structure, pacing, and style of the reference ad, Creatify generates a new ad tailored to your product.

Extract content (title, description, images, videos, etc.) from a product URL. POST /api/links/
Example request and response:

curl --request POST \
  --url https://api.creatify.ai/api/links/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>' \
  --data '{
    "url": "https://www.amazon.com/ATTITUDE-Mineral-Based-Ingredients-Cruelty-free-Moisturizer/dp/B09JZXHJM7"
}'
💡 Errors:
  1. Successfully scraped the URL but it contains no images or videos.
    status_code: 400
    body: [“Link must have at least one image or one video.”]
  2. Failed to scrape the URL (due to anti-scraping or other issues).
    status_code: 400
    body: [“Failed to scrape url: “]

If you don’t have a URL but have product data, create a link directly using parameters. POST /api/links/link_with_params/
curl --request POST \
  --url https://api.creatify.ai/api/link_with_params/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>' \
  --data '{
    "title": "ATTITUDE Body Cream, Moisturizer for Dry Skin, EWG Verified, Vegan & Dermatologist-Tested, Deep Hydration, Pear & Amber Scent, 8 Fl Oz (Pack of 6)",
    "description": "About this item    EWG VERIFIED: This body cream for women and men is certified EWG Verified and made with clean ingredients that meet the Environmental Working Group's strict health and safety standards so you can feel confident that it does not contain any potentially concerning ingredients.    CLEAN FORMULA: This ATTITUDE body cream is made with 98% natural-origin ingredients, and free from SLS, SLES, petrolatum, mineral oil, and artificial colors, for a worry-free experience.    HIGH PERFORMANCE: Infused with watercress and Indian cress extracts, this fast-absorbing, non-greasy and non-sticky EWG Verified hand cream leaves hands soft and smooth. Suitable for both women and men.    PEAR & AMBER: This bright and delicate fragrance features juicy pear with vibrant notes of nectarine and ginger for a naturally energizing and refreshing experience.    RESPONSIBLE BEAUTY: Dermatologically tested, 100% vegan, and packaged in an easily recyclable reusable HDPE plastic bottle for a routine that’s kind to everything.    \n ›  See more product details",
    "image_urls": [
        "https://m.media-amazon.com/images/I/71xB-ss26gL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/71H9i6r9TUL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/71PHtZce95L._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/81rjeQ6iLOL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/61YO5awH0OL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/61uAyKZ1WFL.jpg",
        "https://m.media-amazon.com/images/I/71O3xDdrjTL.jpg",
        "https://m.media-amazon.com/images/I/91BJZbo4nAL.jpg"
    ],
    "video_urls": [
        "https://d35ghwdno3nak3.cloudfront.net/videos/1984d47b-7110-86c3-f38d-b7b3daff27db.mp4",
        "https://d35ghwdno3nak3.cloudfront.net/videos/ebf4c8b5-b774-55f1-28d9-f24a4aa436db.mp4",
        "https://d35ghwdno3nak3.cloudfront.net/videos/3f036f62-d4e1-9a31-6257-6dfb93567cc9.mp4"
    ]
}'
💡 If no videos are included, provide at least 1 image..

Modify an existing link’s metadata (title, description, images, videos). PUT /api/links/{id}/
curl --request PUT \
  --url https://api.creatify.ai/api/links/21ce43ad-ae5e-4f3d-96fa-58a1e5b966f0/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>' \
  --data '{
    "title": "ATTITUDE Body Cream, Moisturizer for Dry Skin, EWG Verified, Vegan & Dermatologist-Tested, Deep Hydration, Pear & Amber Scent, 8 Fl Oz (Pack of 6)",
    "description": "About this item    EWG VERIFIED: This body cream for women and men is certified EWG Verified and made with clean ingredients that meet the Environmental Working Group's strict health and safety standards so you can feel confident that it does not contain any potentially concerning ingredients.    CLEAN FORMULA: This ATTITUDE body cream is made with 98% natural-origin ingredients, and free from SLS, SLES, petrolatum, mineral oil, and artificial colors, for a worry-free experience.    HIGH PERFORMANCE: Infused with watercress and Indian cress extracts, this fast-absorbing, non-greasy and non-sticky EWG Verified hand cream leaves hands soft and smooth. Suitable for both women and men.",
    "image_urls": [
        "https://m.media-amazon.com/images/I/71xB-ss26gL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/71H9i6r9TUL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/71PHtZce95L._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/81rjeQ6iLOL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/61YO5awH0OL._SL1500_.jpg",
        "https://m.media-amazon.com/images/I/61uAyKZ1WFL.jpg",
        "https://m.media-amazon.com/images/I/71O3xDdrjTL.jpg"
    ],
    "video_urls": [
        "https://d35ghwdno3nak3.cloudfront.net/videos/1984d47b-7110-86c3-f38d-b7b3daff27db.mp4",
        "https://d35ghwdno3nak3.cloudfront.net/videos/ebf4c8b5-b774-55f1-28d9-f24a4aa436db.mp4"
    ]
}'

4. Create Ad Clone Task

Create an Ad Clone task using the above Link ID and a reference ad video URL. POST /api/ads_clone/
curl --request POST \
  --url https://api.creatify.ai/api/ads_clone/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>' \
  --data '{
    "link": "e63ce1e4-97cb-4ba6-937a-50e88925a321,
    "video_url": "https://d35ghwdno3nak3.cloudfront.net/media_file/18165/2caea2fb194664e5d736c0d8f73bf802.mp4",
    "aspect_ratio": "9x16",
    "language": null
  }'
🎬 Save the returned id and use it to check the task status.

5. Check Ad Clone Status

Poll the status endpoint until status becomes done. GET /api/ads_clone/{id}/
curl --request GET \
  --url https://api.creatify.ai/api/ads_clone/a1cbde83-1be7-4ecd-9ee3-4c72f17af8e9/ \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>'
✅ When status is done, retrieve your video from the video_output field.

6. Webhook Option

Instead of polling, you can provide a webhook_url in the request to receive the result automatically when the video is ready.
When processing completes, Aurora will send a POST request to your webhook with a payload like this:
{
  "id": "a1cbde83-1be7-4ecd-9ee3-4c72f17af8e9",
  "status": "done",
  "failed_reason": "",
  "video_output": "https://s3.us-west-2.amazonaws.com/remotionlambda-uswest2-30tewi8y5c/renders/qlkkz11bn8/output.mp4"
}

🎯 Summary

StepEndpoint
Create LinkPOST /api/links/
Create TaskPOST /api/ads_clone/
Check StatusGET /api/ads_clone/{id}/
API ReferenceAd Clone Reference

💳 Pricing

Creating an Ad Clone video through this endpoint costs 12 credits per 5 seconds of the reference video length.
For example, a 30-second reference video costs 72 credits.

🤝 Need Help?

If you run into any issues, check out our API Reference or contact api@creatify.ai.